Subject: Re: [RFC PATCH] describe: Make --tags and --all match lightweight tags more often

From: Andreas Ericsson <[email-masked]>
Date: Sun, 12 Oct 2008 20:13:23 +0200

Shawn O. Pearce wrote:
> Andreas Ericsson <[email-masked]> wrote:
>> Shawn O. Pearce wrote:
>>> If the caller supplies --tags they want the lightweight, unannotated
>>> tags to be searched for a match.  If a lightweight tag is closer
>>> in the history, it should be matched, even if an annotated tag is
>>> reachable further back in the commit chain.
>>>
>>> The same applies with --all when matching any other type of ref.
>>>
>> In 99% of the cases, "--all" will then give back the currently
>> checked out branch unless a revision is specified, right?
> 
> Yup.
> 
> `git describe --all` or `git describe --all HEAD`
> 
> would kick back the current branch you have checked out, assuming
> you have a real branch under refs/heads and not some detached HEAD.
> 
> IMHO, that's what the user asked for.
> 

True. I think this will raise questions of its usability though,
in particular if it considers remote branches too.

Otoh, I've never seen the use for "git describe --all" earlier
either, so I guess I think differently from those who want this
feature.

-- 
Andreas Ericsson                   [email-masked]
OP5 AB                             www.op5.se
Tel: +46 8-230225                  Fax: +46 8-230231